package cn.com.poc.thirdparty.resource.tianju.api.entity;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: Zackery
 * @Description: 天聚热搜榜公用响应result字段
 * @Date: 2024/4/16 12:17
 */
public class TianResult<T> implements Serializable {

    /**
     * 数据列表
     */
    private List<T> list;

    /**
     * 新闻分类数据列表
     */
    private List<T> newslist;

    /**
     * 当前页数
     */
    private Integer curpage;

    /**
     * 数据个数
     */
    private Integer allnum;

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public List<T> getNewslist() {
        return newslist;
    }

    public void setNewslist(List<T> newslist) {
        this.newslist = newslist;
    }

    public Integer getCurpage() {
        return curpage;
    }

    public void setCurpage(Integer curpage) {
        this.curpage = curpage;
    }

    public Integer getAllnum() {
        return allnum;
    }

    public void setAllnum(Integer allnum) {
        this.allnum = allnum;
    }
}
